Summary: crafty is a chess program
Vendor: Robert Hyatt
Name: crafty-small-book
Version: 16.5
Release: 1
Source0: ftp://ftp.cis.uab.edu/pub/hyatt/small.tar.gz
Source1: ftp://ftp.cis.uab.edu/pub/hyatt/start.tar.gz
Copyright: GPL
Group: Games
URL: http://home.ican.net/~sjl/pages/crafty.html
Requires: xboard
Packager: Arun Sharma <adsharma@home.com>
buildarch: noarch

%description
Crafty is a chess program written by Bob Hyatt <hyatt@cis.uab.edu>.
It is modeled after Cray Blitz (also written by Bob). Crafty has the 
following features:
- written in C
- can be compiled with the GNU C compiler on various platforms
- has a customizable opening book (comes as a separate .rpm)
- supports tablebases (Steven Edward's endgame database)
- text interface
How can I get a graphical interface with Crafty? On Unix systems, 
you can use XBoard with Crafty.

%prep
%setup -c -a 0 -a 1

%build
(echo book create small.txt 60; echo quit) | crafty
(echo books create start.pgn 60; echo quit) | crafty
%install
install -m a+rw book.bin /usr/share/crafty/books
install books.bin /usr/share/crafty/books
chmod a+rwx /usr/share/crafty/books

%files
/usr/share/crafty/books/book.bin
/usr/share/crafty/books/books.bin
